Subject: bug#55599: save-buffers-kill-emacs doesn't give a visible prompt when called from command line

From: Eli Zaretskii <[email-masked]>
Date: Sat, 28 May 2022 22:39:13 +0300

> Cc: [email-masked], [email-masked]
> Date: Sat, 28 May 2022 22:25:53 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> > As to your suggested feature request: I'm not requesting termination of the server non-interactively - I'm just
> > saying that when the shutdown command comes from the command line, the messages be output to the
> > terminal, the way "message" does and not the way yes-or-no-p does.
> 
> The terminal is still taken by the client frame it displays.

Sorry, that was incorrect, because I was confused about the situation
to which you were alluding.

The correct response is: when a daemon Emacs doesn't show any frames,
it has no way of communicating with the user, because the standard
streams are no longer available, AFAIK.